## firefox-3.5 3.5.7+nobinonly-1jolicloud1

=== debian/changelog ===
firefox-3.5 (3.5.7+nobinonly-1jolicloud1) robby; urgency=low

  * Jolicloud packaging

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 06 Jan 2010 10:23:32 +0100

firefox-3.5 (3.5.7+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v3.5.7 (FIREFOX_3_5_7_RELEASE)
    - see USN-878-1

 -- Alexander Sack <asac@ubuntu.com>  Wed, 06 Jan 2010 06:18:05 +0100

firefox-3.5 (3.5.6+nobinonly-1jolicloud1) robby; urgency=low

  * Jolicloud packaging
  * adjust packaging to support localized searchplugins
    + ship default searchplugins in /usr/lib/firefox-addons/searchplugins/en-US/
      and link that directory to $(DEBIAN_FF3_DIR)/distribution/searchplugins instead
      of the main firefox APP_DIR
      - update debian/rules
    + set default searchplugin locale pref to en-US - which is used as a
      fallback if no matching searchplugins/LOCALE directory exists for the
      current locale directory
      - update debian/firefox.js
    + do not install upstream searchplugins through debhelper file and
      install "debsearch" to the new distribution/.../en-US location
      - update debian/firefox-3.0.install
    + ship "common" searchplugins link that points to the old default
      searchplugins location '/usr/lib/firefox-addons/searchplugins/
      - update debian/rules

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Thu, 31 Dec 2009 13:43:56 +0100

firefox-3.5 (3.5.6+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v3.5.6 (FIREFOX_3_5_6_RELEASE)
    - see USN-874-1

  * defer syslib stability/performance updates for sqlite and cairo (no effect) to SRU
    - add debian/patches/defer_syslibs_bumps_to_sru.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Wed, 16 Dec 2009 01:00:54 +0100

firefox-3.5 (3.5.5+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v3.5.5 (FIREFOX_3_5_5_RELEASE)
    * fixes regressions/crashes

 -- Alexander Sack <asac@ubuntu.com>  Mon, 09 Nov 2009 12:44:07 +0100

firefox-3.5 (3.5.4+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.1.4 (FIREFOX_3_5_4_RELEASE)
    - see USN-853-1

 -- Alexander Sack <asac@ubuntu.com>  Wed, 28 Oct 2009 16:38:48 +0100

firefox-3.5 (3.5.3+build1+nobinonly-0ubuntu0.9.04.2) jaunty-security; urgency=low

  * security/stability update v3.5.3 build1 (FIREFOX_3_5_3_BUILD1)
    - see USN-821-1
    - fix LP: #333127 - Firefox 3.5 and above crash on full screen flash video
    - fix LP: #236853 - firefox crashed with SIGSEGV in NSSRWLock_LockRead_Util()
  * fix LP: #404827 - safe-browsing now working in shiretoko; add
    --enable-safe-browsing configure flag to enable this again
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Thu, 10 Sep 2009 19:19:15 +0200

firefox-3.5 (3.5.2+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * security/stability update v3.5.2 (FIREFOX_3_5_2_RELEASE)
  * Refresh diverged patch
    - update debian/patches/nspr_flags_by_pkg_config_hack.patch

 -- Alexander Sack <asac@ubuntu.com>  Mon, 03 Aug 2009 16:58:27 +0200

firefox-3.5 (3.5.1+build1+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * security/stability update v3.5.1 build1 (FIREFOX_3_5_1_BUILD1)

 -- Alexander Sack <asac@ubuntu.com>  Thu, 16 Jul 2009 18:22:19 +0200

firefox-3.5 (3.5+nobinonly-0ubuntu0.9.04.2) UNRELEASED; urgency=low

  * fix LP: #396460 - Firefox 3.5 'final' version is in repos but tooltip
    in menu says 'beta'; we update the shiretoko desktop file to not
    say "beta" anymore
    - update debian/firefox-3.5-shiretoko.desktop

 -- Alexander Sack <asac@ubuntu.com>  Tue, 07 Jul 2009 12:02:19 +0200

firefox-3.5 (3.5+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  [ Fabien Tassin ]
  * New upstream release taken from tag FIREFOX_3_5_RELEASE
  * Bump Depends/Build-Depends for xulrunner-1.9.1(-dev) to >= 1.9.1
    - update debian/control
  * Bump EM_TRANSLATION_{MIN,MAX}_VERSION and MaxVersion/MinVersion
    (from application.ini)
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Wed, 01 Jul 2009 00:30:14 +0200

firefox-3.5 (3.5~rc2+nobinonly-0ubuntu1) karmic; urgency=low
 
  * New upstream release taken from tag FIREFOX_3_5rc2_RELEASE
  * Fix startup page, release notes and first run bogus URLs when
    using non official brandings. Also fix bogus addons URLs due
    to our change of appname (LP: #388880)
    - update debian/patches/firefox-profilename
  * Fix profile migrator broken when using abrowser-3.5 (LP: #331654)
    - update debian/firefox.sh.in
  * Bump Standards-Version to 3.8.1
    - update debian/control
  * Call update-menus
    - update debian/firefox-3.5.postinst.in
  * Make firefox-3.5-dbg depend on firefox-3.5 with the exact same version
    - update debian/control
  * Bump Depends and Build-depends to xulrunner* >= 1.9.1~rc2
    - update debian/control
  * Refresh diverged patch:
    - update debian/patches/firefox-profilename
 
 -- Fabien Tassin <fta@ubuntu.com>  Fri, 19 Jun 2009 18:55:00 +0200

firefox-3.5 (3.5~b4+nobinonly-0ubuntu2) karmic; urgency=low

  * bump (build-)depends version on xulrunner-1.9.1 to >= 1.9.1~b4
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Wed, 06 May 2009 22:27:21 +0200

firefox-3.5 (3.5~b4+nobinonly-0ubuntu1) karmic; urgency=low

  * New upstream release 3.5 b4

  [ H. Montoliu ]
  * fix LP: #361052 - firefox apport hook fails to retrieve pluginreg.dat file
    - update debian/apport/firefox-3.5.py - removed unused code and minor refactoring

 -- Alexander Sack <asac@ubuntu.com>  Wed, 29 Apr 2009 15:19:59 +0200

firefox-3.5 (3.5~b4+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  New upstream release 3.5b4

  [ Fabien Tassin <fta@ubuntu.com> ]
  * New upstream snapshot, needed to initiate the firefox 3.1->3.5 transition (LP: #352995)
  * Add libstartup-notification0-dev to build-deps as it now seems to be
    mandatory on lpia

