=== debian/control ===
Source: firefox-3.5
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox-3.5.head
Build-Depends: cdbs, debhelper (>= 5), sharutils, m4,
	autotools-dev, autoconf2.13,
	quilt, patchutils (>= 0.2.25),
	bzip2, zlib1g-dev, zip,
	libx11-dev, libxt-dev,
	libgtk2.0-dev (>= 2.10),
	liborbit2-dev, libidl-dev (>= 0.8.0),
	libxft-dev, libfreetype6-dev,
	libpng12-dev, libjpeg62-dev,
	libxrender-dev, libxinerama-dev,
	libcairo2-dev, libpixman-1-dev,
	libgnome2-dev, libgconf2-dev, libgnomevfs2-dev, libgnomeui-dev,
	libstartup-notification0-dev,
	libasound2-dev,
	binutils (>= 2.17-1) [mips mipsel],
	libhunspell-dev,
	libdbus-glib-1-dev (>= 0.60),
	xulrunner-1.9.1-dev (>= 1.9.1),
	libnspr4-dev, libnss3-dev,
	mozilla-devscripts (>= 0.10~),
	lsb-release
Standards-Version: 3.8.1

Package: firefox-3.5
Architecture: any
Depends: fontconfig,
	psmisc,
	debianutils (>= 1.16),
	xulrunner-1.9.1 (>= 1.9.1), 
	${shlibs:Depends}, ${misc:Depends},
	firefox-3.5-branding | abrowser-3.5-branding
Recommends: ubufox
Suggests: firefox-3.5-gnome-support (= ${binary:Version}), latex-xft-fonts, libthai0
Provides: www-browser, firefox-3.1, firefox-3.0, firefox-3.0-venkman, firefox-3.0-dom-inspector, firefox-dom-inspector
Conflicts: firefox-3.1 (<< 3.1~b4~hg20090317), firefox-3.0 (<< 3.1~), firefox-3.0-venkman (<< 3.1~), firefox-3.0-dom-inspector (<< 3.1~), firefox-dom-inspector (<< 3.1~)
Replaces: firefox-3.1, firefox-3.0 (<< 3.1~), firefox-3.0-venkman (<< 3.1~), firefox-3.0-dom-inspector (<< 3.1~), firefox-dom-inspector (<< 3.1~)
Description: safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-3.5-branding
Architecture: any
Depends: firefox-3.5 (= ${binary:Version}), ${misc:Depends}
Replaces: firefox-3.5, firefox-3.1-branding, firefox-3.0-branding (<< 3.1~)
Provides: firefox-3.1-branding, firefox-3.0-branding
Conflicts: abrowser-3.5-branding, firefox-3.1-branding (<< 3.1~b4~hg20090317), firefox-3.0-branding (<< 3.1~)
Description: Package that ships the firefox branding
 This package ships the Firefox branding bits. If you remove this package your 
 user experience will become that of the abrowser.

Package: firefox-3.5-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends}, ${misc:Depends}, firefox-3.5 (= ${binary:Version}), xulrunner-1.9.1-gnome-support
Provides: gnome-www-browser, firefox-3.1-gnome-support, firefox-3.0-gnome-support
Conflicts: firefox-3.1-gnome-support (<< 3.1~b4~hg20090317), firefox-3.0-gnome-support (<< 3.1~)
Replaces: firefox-3.1-gnome-support, firefox-3.0-gnome-support (<< 3.1~)
Description: Support for Gnome in Mozilla Firefox
 This is an extension to Firefox that allows it to use protocol
 handlers from GnomeVFS, such as smb or sftp, and other GNOME
 integration features.

Package: firefox-3.5-dbg
Architecture: any
Section: debug
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, firefox-3.5 (= ${binary:Version})
Conflicts: firefox-3.1-dbg (<< 3.1~b4~hg20090317)
Replaces: firefox-3.1-dbg
Provides: firefox-3.1-dbg
Description: firefox-3.5 debug symbols
 Debug symbols for Firefox 3.5.

Package: firefox-3.5-dev
Architecture: any
Section: devel
Depends: firefox-3.5 (= ${binary:Version}), ${misc:Depends}
Conflicts: firefox-3.1-dev (<< 3.1~b4~hg20090317), firefox-3.0-dev (<< 3.1~)
Replaces: firefox-3.1-dev, firefox-3.0-dev (<< 3.1~)
Provides: firefox-3.1-dev, firefox-3.0-dev
Description: Development files for Mozilla Firefox
 This package contains the development headers, idl files and static libraries 
 needed to develop applications using Mozilla Firefox.

Package: firefox
Architecture: all
Depends: firefox-3.5, firefox-3.5-branding
Description: meta package for the popular mozilla web browser
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This is a meta package that will point to the latest firefox package in ubuntu.
 Don't remove this if you want to receive automatic major version upgrades for
 this package in future.

Package: firefox-gnome-support
Architecture: all
Depends: firefox-3.5-gnome-support
Description: meta package pointing to the latest gnome-support package for firefox
 This is a meta package that will always point to the latest gnome-support
 package for firefox. Don't remove this if you want to receive automatic major
 version upgrades for this package in future.

Package: firefox-3.0
Architecture: all
Depends: firefox-3.5
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-dom-inspector
Architecture: all
Depends: firefox-3.5
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.0-dom-inspector
Architecture: all
Depends: firefox-3.5
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.0-venkman
Architecture: all
Depends: firefox-3.5
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.0-gnome-support
Architecture: all
Depends: firefox-3.5-gnome-support
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.0-dev
Architecture: all
Depends: firefox-3.5-dev
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.0-branding
Architecture: all
Depends: firefox-3.5-branding
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.1
Architecture: all
Depends: firefox-3.5
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.1 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.1-gnome-support
Architecture: all
Depends: firefox-3.5-gnome-support
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.1 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.1-dev
Architecture: all
Depends: firefox-3.5-dev
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.1 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.1-branding
Architecture: all
Depends: firefox-3.5-branding
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.1 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.1-dbg
Architecture: all
Depends: firefox-3.5-dbg
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.1 users get firefox-3.5 on
 upgrades. It can be safely removed.
